> For the complete documentation index, see [llms.txt](https://developers.copyfactory.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.copyfactory.io/api/contacts/the-contact-object.md).

# The contact object

| Attribute               | Type   | Description                                                                               |
| ----------------------- | ------ | ----------------------------------------------------------------------------------------- |
| id                      | int    | Unique identifier for the contact.                                                        |
| email                   | string | The email of the contact                                                                  |
| custom\_fields          | Object | Object containing the custom fields for that contact                                      |
| sentence\_fields        | Object | Object containing all the sentences that have been generated for the contact              |
| sequence\_name          | string | Name of the sequence the contact belongs to                                               |
| linked\_in\_handle      | string | The LinkedIn handle the contact belongs to                                                |
| enriched\_contact\_data | Object | Contains all the enriched prospect data we were able to pull based on the LinkedIn handle |
| enriched\_company\_data | Object | Contains all the enriched company data we were able to pull based on the LinkedIn handle  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.copyfactory.io/api/contacts/the-contact-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
